aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdeploy.sh4
-rwxr-xr-xdeploy/adapters/ansible/roles/odl_cluster/tasks/main.yml2
-rw-r--r--deploy/conf/cluster.conf12
-rwxr-xr-xdeploy/launch.sh19
-rwxr-xr-xdeploy_compass_only.sh3
-rwxr-xr-xdeploy_host_only.sh3
6 files changed, 38 insertions, 5 deletions
diff --git a/deploy.sh b/deploy.sh
index 4cfe89e8..b95475b1 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -2,6 +2,10 @@
COMPASS_DIR=`cd ${BASH_SOURCE[0]%/*}/;pwd`
export COMPASS_DIR
+if [[ -z "$DEPLOY_STEP" ]]; then
+ export DEPLOY_STEP="all"
+fi
+
for i in python-cheetah python-yaml screen; do
if [[ `dpkg-query -l $i` == 0 ]]; then
continue
diff --git a/deploy/adapters/ansible/roles/odl_cluster/tasks/main.yml b/deploy/adapters/ansible/roles/odl_cluster/tasks/main.yml
index f06ce193..2254f11f 100755
--- a/deploy/adapters/ansible/roles/odl_cluster/tasks/main.yml
+++ b/deploy/adapters/ansible/roles/odl_cluster/tasks/main.yml
@@ -9,6 +9,8 @@
include: openvswitch.yml
when: groups['odl']|length !=0 and inventory_hostname not in groups['odl']
+- meta: flush_handlers
+
- name: check out new flow table if enable
shell: ovs-ofctl --protocol=OpenFlow13 dump-flows br-prv | grep CONTROLLER; while [ $? -ne 0 ]; do sleep 10; ovs-ofctl --protocol=OpenFlow13 dump-flows br-prv | grep CONTROLLER; done
when: groups['odl']|length !=0
diff --git a/deploy/conf/cluster.conf b/deploy/conf/cluster.conf
index 200fae65..09a8aae4 100644
--- a/deploy/conf/cluster.conf
+++ b/deploy/conf/cluster.conf
@@ -1,17 +1,25 @@
+# for Operating System
export ADAPTER_OS_PATTERN=${ADAPTER_OS_PATTERN:-'(?i)ubuntu-14\.04\.3.*'}
+#export ADAPTER_OS_PATTERN=${ADAPTER_OS_PATTERN:-'(?i)CentOS-7.*1503-01.*'}
+
+# don't touch this
export ADAPTER_TARGET_SYSTEM_PATTERN="^openstack$"
+
+# for openstack juno
export REPO_NAME=${REPO_NAME:-"trusty-juno-ppa"}
export ADAPTER_NAME="openstack_juno"
export ADAPTER_FLAVOR_PATTERN="HA-ansible-multinodes-juno"
+
+
+# for openstack kilo
#export REPO_NAME=${REPO_NAME:-"trusty-liberty-ppa"}
#export ADAPTER_NAME="openstack_liberty"
#export ADAPTER_FLAVOR_PATTERN="HA-ansible-multinodes-liberty"
-#export ADAPTER_OS_PATTERN=${ADAPTER_OS_PATTERN:-'(?i)CentOS-7.*1503-01.*'}
+# for openstack kilo on Centos7
#export REPO_NAME=${REPO_NAME:-"centos7-kilo-ppa"}
#export ADAPTER_NAME="openstack_kilo"
-#export ADAPTER_TARGET_SYSTEM_PATTERN="^openstack$"
#export ADAPTER_FLAVOR_PATTERN="HA-ansible-multinodes-kilo"
export DEFAULT_ROLES=""
diff --git a/deploy/launch.sh b/deploy/launch.sh
index bad03cf7..9a223ec9 100755
--- a/deploy/launch.sh
+++ b/deploy/launch.sh
@@ -18,7 +18,7 @@ source ${COMPASS_DIR}/deploy/compass_vm.sh
source ${COMPASS_DIR}/deploy/deploy_host.sh
######################### main process
-if true
+if [[ "$DEPLOY_STEP" == "compass_only" || "$DEPLOY_STEP" == "all" ]]
then
if ! prepare_env;then
echo "prepare_env failed"
@@ -34,7 +34,7 @@ fi
log_info "deploy host macs: $machines"
export machines
-
+echo "export machines=\""$machines"\"" > $WORK_DIR/switch_machines
log_info "########## set up network begin #############"
if ! create_nets;then
log_error "create_nets failed"
@@ -45,10 +45,21 @@ if ! launch_compass;then
log_error "launch_compass failed"
exit 1
fi
+
else
+
# test code
-export machines="'00:00:3d:a4:ee:4c','00:00:63:35:3c:2b','00:00:f2:f2:b7:a5','00:00:2f:d3:88:28','00:00:46:67:11:e7'"
+if [[ -f $WORK_DIR/switch_machines ]]; then
+ echo "using last generated machines"
+ source $WORK_DIR/switch_machines
+else
+ export machines="'00:00:3d:a4:ee:4c','00:00:63:35:3c:2b','00:00:f2:f2:b7:a5','00:00:2f:d3:88:28','00:00:46:67:11:e7'"
+fi
+
fi
+
+if [[ "$DEPLOY_STEP" == "host_only" || "$DEPLOY_STEP" == "all" ]]; then
+
if [[ ! -z $VIRT_NUMBER ]];then
if ! launch_host_vms;then
log_error "launch_host_vms failed"
@@ -64,3 +75,5 @@ else
#tear_down_compass
exit 0
fi
+
+fi
diff --git a/deploy_compass_only.sh b/deploy_compass_only.sh
new file mode 100755
index 00000000..8cb31eb8
--- /dev/null
+++ b/deploy_compass_only.sh
@@ -0,0 +1,3 @@
+export DEPLOY_STEP="compass_only"
+
+./deploy.sh $*
diff --git a/deploy_host_only.sh b/deploy_host_only.sh
new file mode 100755
index 00000000..accade38
--- /dev/null
+++ b/deploy_host_only.sh
@@ -0,0 +1,3 @@
+export DEPLOY_STEP="host_only"
+
+./deploy.sh $*